html {
    margin: 0px;
    padding: 0px;
    min-height: 100%;
}

body {
    font-family:'Corbel';
    margin:0px;
    background-color: white; /* For browsers that do not support gradients */
    background-image: linear-gradient(to bottom right, rgb(255, 255, 255), #a3aacc);
    min-height: 100%;
}


/*
** navigation section
*/
.nav {
    margin: 0px;
    padding: 10px 0px;
    display:flex;
    flex-direction: row;
    justify-content: space-around;
}

.nav_list {
    display: flex;
    flex-direction: row;
    list-style: none;
    margin: 0px;
    padding: 10px 40px;
    max-width: 75%;
    min-width: 50%;
    justify-content: space-around; 
    font-family: Helvetia;
    font-style: italic;
}

.nav_list li {
    margin: 0px 10px;
    white-space: nowrap;
    align-self: center;
    cursor: pointer;
}
.nav_list li a {
    text-decoration: none;
    color: inherit;
}
.nav_list li:hover{
    text-decoration: underline;
}

.nav_list--selected {
    text-decoration: underline;
}

/*
** Main content
*/

.home-content {
    padding: 20px 50px;
}

.home-content__main-profile {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.home-content__main-profile__name {
    margin-bottom: 0px;
}

img {
    border: 2px solid black;
}

.profile_pic {
    border-radius: 20px;
    width: 100px;
    height: 100px;
}

.centered {
    text-align: center;
}

div.block {
    display: inline;
}

article {
    border-width: 1px;
    border-color: grey;
    border: solid;
    margin: 10px;
    padding: 10px;
    padding-left: 20px;
    margin-left: 5px;
    border-radius: 30px;
}

.all-caps {
    font-family: Helvetia; 
    color: grey;
    font-size: 15px;
    display: flex;
    align-items: center;
    margin: 5px;
}

.all-caps__large{
    font-size: 30px;
}

.all-caps__medium {
    font-size: 20px;
}


/*
** BLOG PAGE
*/

.blog-article {
    min-width: 80%;
    max-width: 600px;
    border: 2px solid grey;
    padding: 10px 20px;
    border-radius: 20px;
}

.blog-article__double-column {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.blog-article__header {
    margin: 10px 0px;
}

.blog-article__left {
    width: 63%;
    min-width: 200px;
}

.blog-article__right {
    width: 40%;
    align-self: start;
    display: flex;
    justify-content: flex-end;
}

.blog-date {
    color: grey;
}

.blog-quote {
    font-style: italic; /* Makes the text italic to indicate it's a quote */
    border-left: 3px solid #8a8a8a; /* Adds a left border to highlight the quote */
    margin: 20px 0; /* Adds some space around the quote */
    padding: 10px 10px 10px 20px; /* Adds padding to make it more readable */
    background-color: #f9f9f9; /* A subtle background color to distinguish it from regular text */
    color: #555; /* A slightly softer text color */
    font-size: 1em; /* Slightly larger font size for emphasis */
    line-height: 1.4; /* Improved line height for readability */
    quotes: "“" "”" "‘" "’"; 
}

.blog-image {
    margin-top: 20px;
    min-width: 33%;
    width: 33%;
    border: 1px solid grey;
    border-radius: 5px;
    height: 100%
}

/*
** PROJECT PAGE
*/
.project-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.project-box__left {
    width: 50%;
    max-width: 50%;
    min-width: 50%;
}

.project-box__right {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.project-box__title {
    margin: 0px 5px 5px 0px;
}

.project-image {
    width: 300px;
    height: auto;
    border: 1px solid grey;
    border-radius: 5px;
    object-fit: contain;
}


/*
** SECRET NAVIGATION LINKS
*/

.code-box {
    margin: 0px;
    padding: 0px;
    min-width: max-content;
}

/* This will visually hide the checkbox but still make it accessible */
.visually-hidden {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

/* Style the labels */
.secret-label {
    display: inline-block;
    background: #8d93b1;
    cursor: pointer;
    border-radius: 20px;
    border: 0.1rem solid rgb(141, 141, 197);
    width: 23px;
    min-width: 23px;
    min-height: 23px;
    height: 23px;
    max-width: 23px;
    max-height: 23px;
    margin: 0px;
    padding: 0px;
}
.secret-label:hover {
    background: #a4a9c5
}

/* Hide the message initially */
.message {
    display: none;
    padding: 0.5rem;
    margin-top: 1rem;
    position: absolute;
    margin-top: 0px;
    margin-left: -10px;
    margin-right: 5px;
    font-size: 15px;
    width: 100px;
    align-items: center;
    background: rgb(76 86 175 / 24%);
    border-radius: 20px;
}

.message .nav_list {
    flex-direction: column;
    margin: 0px;
    padding: 0px;
}

/* When all checkboxes are checked, reveal the message */
#check-o:checked ~ 
#check-a1:checked ~
#check-b1:checked ~
#check-p:checked ~
#check-c1:checked ~
#check-d1:checked ~
#check-e:checked ~ 
#check-n:checked ~
#check-e1:checked ~
.message {
    display: flex;
    flex-direction: column;
}

.message:before {
    content: "\0073\0070\0065\0063\0069\0061\006C\0020\006E\0061\0076\003A";
}



